프로그래밍, 데이터 과학을 위한 파이썬 입문
프로그래밍, 데이터 과학을 위한 파이썬 입문
수강정보
(74개의 수강평)
2102명의 수강생
33,000원
지식공유자 : TeamLab
108회 수업 · 총 16시간 9분 수업
기간 : 평생 무제한 시청
수료증 : 발급 강의
수강 난이도 : 입문
트윙클영 프로필

과제 제출시 오류가 나요ㅠㅠ 트윙클영 1일 전
....(위에 생략)   File "c:\programdata\miniconda3\lib\site-packages\ai\backend\client\session.py", line 48, in run     result = loop.run_until_complete(coro)   File "c:\programdata\miniconda3\lib\asyncio\base_events.py", line 616, in run_until_complete     return future.result()   File "c:\programdata\miniconda3\lib\site-packages\ai\backend\client\kernel.py", line 46, in hello     async with rqst.fetch() as resp:   File "c:\programdata\miniconda3\lib\site-packages\ai\backend\client\request.py", line 399, in __aenter__     raise BackendClientError(msg) from e ai.backend.client.exceptions.BackendClientError: BackendClientError('Request to the API endpoint has failed.\nCheck your network connection and/or the server status.\n➜ ClientConnectorCertificateError()') 이런식으로 오류가 나는데 무슨 이유일까요ㅜㅜ

0
H. Lee 프로필

for i in range(1,10) 하면 10까지 왜 안나오는 건지 궁금합니다. H. Lee 4일 전
for i in range(1,10): ... print(i) 하면 1~9까지 나오게 되는데 왜 10까지는 안나오는건가요? for i in range(0,10)까지 해도 9까지 나오고, for i in range(-1,10)해도 9까지만 나옵니다.

0
Jungyu Gwak 프로필

과제 제출할려고 링크 복사붙여넣기했는데 오류가 납니다. Jungyu Gwak 13일 전
아래와같이 오류가 뜨는데 진행해도 상관없을까요>?

0
Ji-Sang You 프로필

과제가 채점이 잘못됩니다. Ji-Sang You 26일 전
test파일만 채점하게됩니다. 도와주세요.

0
H. Lee 프로필

atom . H. Lee 1달 전
설치하고 cmd 들어가서 atom. 치니까는 안나왔는데 atom(스페이스바).  이렇게 하니까 되더라구요! 

0
Ji-Sang You 프로필

submit.bat 코드 실행 오류 Ji-Sang You 1달 전
과제를 제출하는데 다음과 같은 오류창이 계속 뜹니다. 도와주세요. 고맙습니다. 저는 Anaconda를 쓰고 있습니다.

0
dlsghlrla 프로필

콤마와 + 차이 dlsghlrla 1달 전
마지막 print(user_input,"X"i,"=",result)에서 콤마(,) 말고 + 이거를 넣으면 왜 안되나요ㅠ 스트링 인테저 떄문에 그런건가요..?

0
dlsghlrla 프로필

파이썬 화면 지우기 dlsghlrla 1달 전
4분 5초에 파이썬 화면 지울떄 뭐 눌러야되는지 한번 더 적어주실수있나요 잘 안들려요ㅠㅠ

0
Gayoung Dan 프로필

실행에 문제가 있는데 어떠한 문제가 있는지 궁금합니다. Gayoung Dan 2달 전
cmd 화면에서 결과값이 나오지 않는걸로 보이는데 무엇이 문제인가요?

0
유성훈 프로필

while 조건문 유성훈 2달 전
def main():     user_input = 999     while(user_input != 0):         user_input = input("Input a positive number : ")         if is_positive_number(user_input) == True:             factorial_value = get_factorial_value(user_input)             print(factorial_value)         elif user_input != '0':             print("Input again, Please")         elif user_input == '0':             print("Thank you for using this program")             user_input = 0 맨 위의 0은 ''가 들어가지 않는데 아래 두개의 0에는 ''가 들어가야 하는 이유가 이해가 안되서 질문 드립니다!

0
freer11 프로필

main 이 제대로 작동하는데 계속 failed 가 뜹니다.. freer11 2달 전
저도 아래와 같은 문제인데... 구글링을 해보고, 이리저리 수정도 해봤는데... main 이 과제 안내 스크린샷처럼 잘 운영됨에도 계속 failed 라고 뜹니다.. ㅠㅠ 과제 관련 해결 안 된다고 하시긴 하셨는데... 도저히 혼자 힘으로 해결이 안 되어 도움 요청드려도 될까요?

0
seulgee moon 프로필

과제 제출시 오류 seulgee moon 2달 전
과제 제출을 하는데 아래와 같은 문구가 뜹니다 원인 및 해결 방법을 알 수 있을까요? Traceback (most recent call last):   File "c:\users\user\miniconda3\lib\site-packages\aiohttp\connector.py", line 822, in _wrap_create_connection     return await self._loop.create_connection(*args, **kwargs)   File "c:\users\user\miniconda3\lib\asyncio\base_events.py", line 1050, in create_connection     transport, protocol = await self._create_connection_transport(   File "c:\users\user\miniconda3\lib\asyncio\base_events.py", line 1080, in _create_connection_transport     await waiter   File "c:\users\user\miniconda3\lib\asyncio\sslproto.py", line 529, in data_received     ssldata, appdata = self._sslpipe.feed_ssldata(data)   File "c:\users\user\miniconda3\lib\asyncio\sslproto.py", line 189, in feed_ssldata     self._sslobj.do_handshake()   File "c:\users\user\miniconda3\lib\ssl.py", line 944, in do_handshake     self._sslobj.do_handshake() ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: certificate has expired (_ssl.c:1108)   The above exception was the direct cause of the following exception:   Traceback (most recent call last):   File "c:\users\user\miniconda3\lib\site-packages\ai\backend\client\request.py", line 389, in __aenter__     raw_resp = await self.rqst_ctx.__aenter__()   File "c:\users\user\miniconda3\lib\site-packages\aiohttp\client.py", line 855, in __aenter__     self._resp = await self._coro   File "c:\users\user\miniconda3\lib\site-packages\aiohttp\client.py", line 367, in _request     conn = await self._connector.connect(   File "c:\users\user\miniconda3\lib\site-packages\aiohttp\connector.py", line 445, in connect     proto = await self._create_connection(req, traces, timeout)   File "c:\users\user\miniconda3\lib\site-packages\aiohttp\connector.py", line 756, in _create_connection     _, proto = await self._create_direct_connection(   File "c:\users\user\miniconda3\lib\site-packages\aiohttp\connector.py", line 879, in _create_direct_connection     raise last_exc   File "c:\users\user\miniconda3\lib\site-packages\aiohttp\connector.py", line 856, in _create_direct_connection     transp, proto = await self._wrap_create_connection(   File "c:\users\user\miniconda3\lib\site-packages\aiohttp\connector.py", line 824, in _wrap_create_connection     raise ClientConnectorCertificateError( aiohttp.client_exceptions.ClientConnectorCertificateError: Cannot connect to host api.backend.ai:443 ssl:True [SSLCertVerificationError: (1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: certificate has expired (_ssl.c:1108)')]   The above exception was the direct cause of the following exception:   Traceback (most recent call last):   File "c:\users\user\miniconda3\lib\runpy.py", line 194, in _run_module_as_main     return _run_code(code, main_globals, None,   File "c:\users\user\miniconda3\lib\runpy.py", line 87, in _run_code     exec(code, run_globals)   File "C:\Users\USER\miniconda3\Scripts\backend.ai.exe\__main__.py", line 7, in <module>   File "c:\users\user\miniconda3\lib\site-packages\click\core.py", line 829, in __call__     return self.main(*args, **kwargs)   File "c:\users\user\miniconda3\lib\site-packages\click\core.py", line 782, in main     rv = self.invoke(ctx)   File "c:\users\user\miniconda3\lib\site-packages\click\core.py", line 1259, in invoke     return _process_result(sub_ctx.command.invoke(sub_ctx))   File "c:\users\user\miniconda3\lib\site-packages\click\core.py", line 1066, in invoke     return ctx.invoke(self.callback, **ctx.params)   File "c:\users\user\miniconda3\lib\site-packages\click\core.py", line 610, in invoke     return callback(*args, **kwargs)   File "c:\users\user\miniconda3\lib\site-packages\ai\backend\client\cli\run.py", line 577, in run     if is_legacy_server():   File "c:\users\user\miniconda3\lib\site-packages\ai\backend\client\session.py", line 24, in is_legacy_server     ret = session.Kernel.hello()   File "c:\users\user\miniconda3\lib\site-packages\ai\backend\client\base.py", line 21, in _method     return cls.session.worker_thread.execute(coro)   File "c:\users\user\miniconda3\lib\site-packages\ai\backend\client\session.py", line 64, in execute     raise result   File "c:\users\user\miniconda3\lib\site-packages\ai\backend\client\session.py", line 48, in run     result = loop.run_until_complete(coro)   File "c:\users\user\miniconda3\lib\asyncio\base_events.py", line 616, in run_until_complete     return future.result()   File "c:\users\user\miniconda3\lib\site-packages\ai\backend\client\kernel.py", line 46, in hello     async with rqst.fetch() as resp:   File "c:\users\user\miniconda3\lib\site-packages\ai\backend\client\request.py", line 399, in __aenter__     raise BackendClientError(msg) from e ai.backend.client.exceptions.BackendClientError: BackendClientError('Request to the API endpoint has failed.\nCheck your network connection and/or the server status.\n➜ ClientConnectorCertificateError()')

0
wolfram 프로필

강의자료좀 보내주세요 wolfram 2달 전
강의와 관련있는 질문을 남겨주세요.• 강의와 관련이 없는 질문은 지식공유자가 답변하지 않을 수 있습니다. (사적 상담, 컨설팅, 과제 풀이 등)• 질문을 남기기 전, 비슷한 내용을 질문한 수강생이 있는지 먼저 검색을 해주세요. (중복 질문을 자제해주세요.)• 서비스 운영 관련 질문은 인프런 우측 하단 ‘문의하기’를 이용해주세요. (영상 재생 문제, 사이트 버그, 강의 환불 등) 질문 전달에도 요령이 필요합니다.• 지식공유자가 질문을 좀 더 쉽게 확인할 수 있게 도와주세요.• 강의실 페이지(/lecture) 에서 '질문하기'를 이용해주시면 질문과 연관된 수업 영상 제목이 함께 등록됩니다.• 강의 대시보드에서 질문을 남길 경우, 관련 섹션 및 수업 제목을 기재해주세요. • 수업 특정 구간에 대한 질문은 꼭 영상 타임코드를 남겨주세요! 구체적인 질문일수록 명확한 답을 받을 수 있어요.• 질문 제목은 핵심 키워드를 포함해 간결하게 적어주세요.• 질문 내용은 자세하게 적어주시되, 지식공유자가 답변할 수 있도록 구체적으로 남겨주세요.• 정확한 질문 내용과 함께 코드를 적어주시거나, 캡쳐 이미지를 첨부하면 더욱 좋습니다. 기본적인 예의를 지켜주세요.• 정중한 의견 및 문의 제시, 감사 인사 등의 커뮤니케이션은 더 나은 강의를 위한 기틀이 됩니다. • 질문이 있을 때에는 강의를 만든 지식공유자에 대한 기본적인 예의를 꼭 지켜주세요. • 반말, 욕설, 과격한 표현 등 지식공유자를 불쾌하게 할 수 있는 내용은 스팸 처리 등 제재를 가할 수 있습니다.  도저히 받을수가 없어요/...부탁드립니다,hzw94@nave.com입니다.

0
paintom 프로필

강의자료 링크 문의 paintom 3달 전
강의자료 링크를 눌렀는데 항목이 존재하지 않는다고 나옵니다.  PDF는 받아지는데 파이썬 파일을 받을수가 없네요  paintom@naver.com으로 강의자료를 일괄 받을 수 있을까요? 강의와 관련있는 질문을 남겨주세요.• 강의와 관련이 없는 질문은 지식공유자가 답변하지 않을 수 있습니다. (사적 상담, 컨설팅, 과제 풀이 등)• 질문을 남기기 전, 비슷한 내용을 질문한 수강생이 있는지 먼저 검색을 해주세요. (중복 질문을 자제해주세요.)• 서비스 운영 관련 질문은 인프런 우측 하단 ‘문의하기’를 이용해주세요. (영상 재생 문제, 사이트 버그, 강의 환불 등) 질문 전달에도 요령이 필요합니다.• 지식공유자가 질문을 좀 더 쉽게 확인할 수 있게 도와주세요.• 강의실 페이지(/lecture) 에서 '질문하기'를 이용해주시면 질문과 연관된 수업 영상 제목이 함께 등록됩니다.• 강의 대시보드에서 질문을 남길 경우, 관련 섹션 및 수업 제목을 기재해주세요. • 수업 특정 구간에 대한 질문은 꼭 영상 타임코드를 남겨주세요! 구체적인 질문일수록 명확한 답을 받을 수 있어요.• 질문 제목은 핵심 키워드를 포함해 간결하게 적어주세요.• 질문 내용은 자세하게 적어주시되, 지식공유자가 답변할 수 있도록 구체적으로 남겨주세요.• 정확한 질문 내용과 함께 코드를 적어주시거나, 캡쳐 이미지를 첨부하면 더욱 좋습니다. 기본적인 예의를 지켜주세요.• 정중한 의견 및 문의 제시, 감사 인사 등의 커뮤니케이션은 더 나은 강의를 위한 기틀이 됩니다. • 질문이 있을 때에는 강의를 만든 지식공유자에 대한 기본적인 예의를 꼭 지켜주세요. • 반말, 욕설, 과격한 표현 등 지식공유자를 불쾌하게 할 수 있는 내용은 스팸 처리 등 제재를 가할 수 있습니다. 

1
freer11 프로필

Yesterday.txt 파일 경로에서 다운로드가 안 됩니다. freer11 3달 전
https://raw.githubusercontent.com/TeamLab/cs50_example_code/master/12_string/yesterday.txt 위 주소를 클릭해도 404 : Not Found 라며 다운로드가 안 됩니다.

1
지식공유자 되기
많은 사람들에게 배움의 기회를 주고,
경제적 보상을 받아보세요.
지식공유참여
기업 교육을 위한 인프런
“인프런 비즈니스” 를 통해 모든 팀원이 인프런의 강의들을
자유롭게 학습하는 환경을 제공하세요.
인프런 비즈니스